Index: trunk/source/visualization/VRML/src/G4VRML2FileSceneHandler.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML2FileSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML2FileSceneHandler.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRML2FileSceneHandler.cc,v 1.14 2006/06/29 21:26:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VRML2FileSceneHandler.cc,v 1.15 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2FileSceneHandler.cc
@@ -43,4 +43,5 @@
 #include "G4VPhysicalVolume.hh"
 #include "G4LogicalVolume.hh"
+#include "G4VisManager.hh"
 #include "G4Point3D.hh"
 #include "G4VisAttributes.hh"
@@ -119,5 +120,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** ~G4VRML2FileSceneHandler" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** ~G4VRML2FileSceneHandler" << G4endl;
 #endif 
 	VRMLEndModeling();
@@ -149,11 +151,13 @@
 		if( i == MAX_FILE_INDEX ) 
 		{
-		  G4cerr << "==========================================="   << G4endl; 
-		  G4cerr << "WARNING MESSAGE from VRML2FILE driver:     "   << G4endl;
-		  G4cerr << "  This file name is the final one in the   "   << G4endl;
-		  G4cerr << "  automatic updation of the output file name." << G4endl; 
-		  G4cerr << "  You may overwrite existing files, i.e.   "   << G4endl; 
-                  G4cerr << "  g4_XX.wrl.                               "   << G4endl;
-		  G4cerr << "==========================================="   << G4endl; 
+		  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		    G4cout << "==========================================="   << G4endl; 
+		    G4cout << "WARNING MESSAGE from VRML2FILE driver:     "   << G4endl;
+		    G4cout << "  This file name is the final one in the   "   << G4endl;
+		    G4cout << "  automatic updation of the output file name." << G4endl; 
+		    G4cout << "  You may overwrite existing files, i.e.   "   << G4endl; 
+		    G4cout << "  g4_XX.wrl.                               "   << G4endl;
+		    G4cout << "==========================================="   << G4endl; 
+		  }
 		}
 
@@ -180,10 +184,11 @@
 
 	// open a VRML 2.0 file with determined file name
-	G4cerr << "==========================================="  << G4endl; 
-	G4cerr << "Output VRML 2.0 file: " <<    fVRMLFileName << G4endl; 
-	G4cerr << "Maximum number of files in the destination directory: " << fMaxFileNum << G4endl; 
-	G4cerr << "  (Customizable with the environment variable: G4VRMLFILE_MAX_FILE_NUM) " << G4endl;
-	G4cerr << "===========================================" << G4endl; 
-
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+	  G4cout << "==========================================="  << G4endl; 
+	  G4cout << "Output VRML 2.0 file: " <<    fVRMLFileName << G4endl; 
+	  G4cout << "Maximum number of files in the destination directory: " << fMaxFileNum << G4endl; 
+	  G4cout << "  (Customizable with the environment variable: G4VRMLFILE_MAX_FILE_NUM) " << G4endl;
+	  G4cout << "===========================================" << G4endl; 
+	}
 	fDest.open(fVRMLFileName) ;  fFlagDestOpen =  true ;
 }
@@ -201,5 +206,6 @@
 	// close VRML file	
 	fDest.close();  fFlagDestOpen = false ;
-	G4cerr << "*** VRML 2.0 File  " << fVRMLFileName << "  is generated." << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	      G4cout << "*** VRML 2.0 File  " << fVRMLFileName << "  is generated." << G4endl;
 
 	
@@ -207,10 +213,12 @@
 
 	if ( !strcmp(viewer, NO_VRML_VIEWER )) {
-		G4cerr << "MESSAGE from VRML2FILE driver:"     << G4endl;
-		G4cerr << "    Set an environmental variable  " ;
-		G4cerr <<      ENV_VRML_VIEWER << G4endl;
-		G4cerr << "    if you want to visualize the generated VRML file" << G4endl; 
-		G4cerr << "    automatically.  For example, " << G4endl;
-		G4cerr << "    setenv  " << ENV_VRML_VIEWER << "  vrwave " << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		G4cout << "MESSAGE from VRML2FILE driver:"     << G4endl;
+		G4cout << "    Set an environmental variable  " ;
+		G4cout <<      ENV_VRML_VIEWER << G4endl;
+		G4cout << "    if you want to visualize the generated VRML file" << G4endl; 
+		G4cout << "    automatically.  For example, " << G4endl;
+		G4cout << "    setenv  " << ENV_VRML_VIEWER << "  vrwave " << G4endl;
+	  }
 	} else {
 		sprintf( command, "%s %s", viewer, fVRMLFileName  );   
Index: trunk/source/visualization/VRML/src/G4VRML2FileViewer.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML2FileViewer.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML2FileViewer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRML2FileViewer.cc,v 1.13 2006/06/29 21:26:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VRML2FileViewer.cc,v 1.14 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2FileViewer.cc
@@ -36,4 +36,5 @@
 #include <cmath>
 
+#include "G4VisManager.hh"
 #include "G4Scene.hh"
 #include "G4VRML2FileViewer.hh"
@@ -60,5 +61,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML2FileViewer::SetView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML2FileViewer::SetView(): No effects" << G4endl;
 #endif
 
@@ -71,5 +73,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4VRML2FileViewer::DrawView()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** G4VRML2FileViewer::DrawView()" << G4endl;
 #endif
 
@@ -88,5 +91,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML2File1View::ClearView()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML2File1View::ClearView()" << G4endl;
 #endif
   if(fSceneHandler.fFlagDestOpen) {
@@ -102,5 +106,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML2FileViewer::ShowView()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML2FileViewer::ShowView()" << G4endl;
 #endif
 	fSceneHandler.VRMLEndModeling();
@@ -110,5 +115,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML2FileViewer::FinishView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** G4VRML2FileViewer::FinishView(): No effects" << G4endl;
 #endif
 }
@@ -121,5 +127,6 @@
 
 #if defined DEBUG_FR_VIEW
-      G4cerr << "***** G4VRML2FileViewer::SendViewParameters()\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "***** G4VRML2FileViewer::SendViewParameters()\n";
 #endif 
 
Index: trunk/source/visualization/VRML/src/G4VRML2SceneHandler.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML2SceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML2SceneHandler.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRML2SceneHandler.cc,v 1.12 2006/06/29 21:26:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VRML2SceneHandler.cc,v 1.13 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2SceneHandler.cc
@@ -46,4 +46,6 @@
 
 #include "globals.hh"
+#include "G4VisManager.hh"
+
 #include "G4VPhysicalVolume.hh"
 #include "G4LogicalVolume.hh"
@@ -93,5 +95,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** ~G4VRML2SceneHandler" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** ~G4VRML2SceneHandler" << G4endl;
 #endif 
 }
@@ -113,12 +116,16 @@
 		if (fDest.connect( (const char * )fSystem.getHostName(), port)) {
 		    // INET domain connection is established
-			G4cerr << "*** GEANT4 is connected to port  ";
-			G4cerr << fDest.getPort(); 
-			G4cerr << " of server  " << fSystem.getHostName() << G4endl;
+		  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+			G4cout << "*** GEANT4 is connected to port  ";
+			G4cout << fDest.getPort(); 
+			G4cout << " of server  " << fSystem.getHostName() << G4endl;
+		  }
 			break; 
 		} else { 
 			// Connection failed. Try the next port.
-			G4cerr << "*** GEANT4 incremented targeting port to ";
-			G4cerr << port << G4endl;
+		  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+			G4cout << "*** GEANT4 incremented targeting port to ";
+			G4cout << port << G4endl;
+		  }
 		}
 
@@ -128,8 +135,10 @@
 
 	if (!fDest.isConnected()) {
-		G4cerr << "*** INET Connection failed. " << G4endl;
-		G4cerr << "    Maybe, you have not invoked viewer  g4vrmlview  yet, " << G4endl;
-		G4cerr << "    or too many viewers are already running in the " << G4endl;
-		G4cerr << "    server host(" << fSystem.getHostName() << "). " << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		G4cout << "*** INET Connection failed. " << G4endl;
+		G4cout << "    Maybe, you have not invoked viewer  g4vrmlview  yet, " << G4endl;
+		G4cout << "    or too many viewers are already running in the " << G4endl;
+		G4cout << "    server host(" << fSystem.getHostName() << "). " << G4endl;
+	  }
 	}
 }
@@ -138,5 +147,6 @@
 {
 	fDest.close();
-	G4cerr << "*** INET Connection closed. " << G4endl;
+	if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	      G4cout << "*** INET Connection closed. " << G4endl;
 }
 
Index: trunk/source/visualization/VRML/src/G4VRML2SceneHandlerFunc.icc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML2SceneHandlerFunc.icc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML2SceneHandlerFunc.icc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRML2SceneHandlerFunc.icc,v 1.20 2006/06/29 21:26:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VRML2SceneHandlerFunc.icc,v 1.21 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2SceneHandlerFunc.icc
@@ -33,8 +33,11 @@
 //#define DEBUG_SCENE_FUNC
 
+#include "G4VisManager.hh"
+
 void G4VRML2SCENEHANDLER::AddSolid(const G4Trd& trd)
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid trd" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** AddSolid trd" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -45,5 +48,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid trap" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** AddSolid trap" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -54,5 +58,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid para" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** AddSolid para" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -63,5 +68,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid torus" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** AddSolid torus" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -73,5 +79,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid vsolid" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** AddSolid vsolid" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -82,5 +89,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid tubs" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid tubs" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -93,5 +101,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-    G4cerr << "***** AddSolid cons" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+        G4cout << "***** AddSolid cons" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -102,5 +111,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid box" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid box" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -112,5 +122,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddSolid sphere" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid sphere" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -121,5 +132,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive polyline" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive polyline" << "\n" ;
 #endif 
 
@@ -170,5 +182,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive(G4Polyhedron)" << "\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive(G4Polyhedron)" << "\n";
 #endif
 
@@ -253,7 +266,9 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive nurbs" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive nurbs" << "\n" ;
 #endif 
-	G4cerr << "G4VRML2File::AddPrimitive(G4NURBS&): not implemented. " << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "G4VRML2File::AddPrimitive(G4NURBS&): not implemented. " << "\n" ;
 
 	VRMLBeginModeling () ;
@@ -263,7 +278,9 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive text" << "\n" ;
-#endif
-	G4cerr <<
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive text" << "\n" ;
+#endif
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout <<
           "***** void G4VRML2SCENEHANDLER::AddPrimitive( const G4Text& text )"
           " not implemented yet."
@@ -277,5 +294,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive circle" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive circle" << "\n" ;
 #endif
 	VRMLBeginModeling () ;
@@ -335,5 +353,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** AddPrimitive square" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive square" << "\n" ;
 #endif
 
@@ -396,5 +415,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** BeginModeling" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** BeginModeling" << "\n" ;
 #endif
 	G4VSceneHandler::BeginModeling();
@@ -405,5 +425,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** EndModeling " << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** EndModeling " << "\n" ;
 #endif
 	G4VSceneHandler::EndModeling();
@@ -415,5 +436,6 @@
   fpObjectTransformation = &objectTransformation;
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** BeginPrimitives " << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** BeginPrimitives " << "\n" ;
 #endif
 	VRMLBeginModeling(); 
@@ -423,5 +445,6 @@
 {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** EndPrimitives " << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** EndPrimitives " << "\n" ;
 #endif
   G4VSceneHandler::EndPrimitives();
@@ -500,5 +523,6 @@
 	if (!IS_CONNECTED ) {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** VRMLBeginModeling (started)" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** VRMLBeginModeling (started)" << "\n" ;
 #endif
 		this->connectPort();
@@ -512,5 +536,6 @@
 	if ( IS_CONNECTED ) {
 #if defined DEBUG_SCENE_FUNC
-	G4cerr << "***** VRMLEndModeling (started)" << "\n" ;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** VRMLEndModeling (started)" << "\n" ;
 #endif
 		fDest << "#End of file." << "\n";
Index: trunk/source/visualization/VRML/src/G4VRML2Viewer.cc
===================================================================
--- trunk/source/visualization/VRML/src/G4VRML2Viewer.cc	(revision 1346)
+++ trunk/source/visualization/VRML/src/G4VRML2Viewer.cc	(revision 1347)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VRML2Viewer.cc,v 1.12 2006/06/29 21:26:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4VRML2Viewer.cc,v 1.13 2010/11/11 00:14:50 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // G4VRML2Viewer.cc
@@ -42,4 +42,5 @@
 #include <cmath>
 
+#include "G4VisManager.hh"
 #include "G4Scene.hh"
 #include "G4VRML2Viewer.hh"
@@ -65,5 +66,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML2Viewer::SetView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** G4VRML2Viewer::SetView(): No effects" << G4endl;
 #endif
 
@@ -77,5 +79,6 @@
 {
 #if defined DEBUG_FR_VIEW
-	G4cerr << "***** G4VRML2Viewer::DrawView()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** G4VRML2Viewer::DrawView()" << G4endl;
 #endif
 	fSceneHandler.VRMLBeginModeling() ;
@@ -93,5 +96,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML2Viewer::ClearView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** G4VRML2Viewer::ClearView(): No effects" << G4endl;
 #endif
 }
@@ -100,5 +104,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML2Viewer::ShowView()" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** G4VRML2Viewer::ShowView()" << G4endl;
 #endif
 	fSceneHandler.VRMLEndModeling();
@@ -108,5 +113,6 @@
 {
 #if defined DEBUG_FR_VIEW
-  G4cerr << "***** G4VRML2Viewer::FinishView(): No effects" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** G4VRML2Viewer::FinishView(): No effects" << G4endl;
 #endif
 }
@@ -119,5 +125,6 @@
 
 #if defined DEBUG_FR_VIEW
-      G4cerr << "***** G4VRML2Viewer::SendViewParameters()\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+    G4cout << "***** G4VRML2Viewer::SendViewParameters()\n";
 #endif 
 	// error recovery
Index: trunk/source/visualization/XXX/CVS/Entries
===================================================================
--- trunk/source/visualization/XXX/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/XXX/CVS/Entries	(revision 1347)
@@ -3,2 +3,3 @@
 /CMakeLists.txt/1.1/Wed Sep 29 19:13:27 2010//Tgeant4-09-04-ref-00
 /sources.cmake/1.1/Wed Sep 29 19:13:35 2010//Tgeant4-09-04-ref-00
+/History/1.30/Wed Oct  6 15:49:24 2010//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/XXX/include/CVS/Entries
===================================================================
--- trunk/source/visualization/XXX/include/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/XXX/include/CVS/Entries	(revision 1347)
@@ -1,1 +1,13 @@
 D/tree////
+/G4XXX.hh/1.5/Thu Jun 29 21:26:37 2006//Tgeant4-09-04-ref-00
+/G4XXXFile.hh/1.2/Thu Jun 29 21:26:39 2006//Tgeant4-09-04-ref-00
+/G4XXXFileSceneHandler.hh/1.4/Wed Oct 21 15:28:53 2009//Tgeant4-09-04-ref-00
+/G4XXXFileViewer.hh/1.3/Mon Jul  3 16:52:48 2006//Tgeant4-09-04-ref-00
+/G4XXXSG.hh/1.2/Thu Jun 29 21:26:54 2006//Tgeant4-09-04-ref-00
+/G4XXXSGSceneHandler.hh/1.4/Wed Oct 21 15:28:53 2009//Tgeant4-09-04-ref-00
+/G4XXXSGViewer.hh/1.2/Thu Jun 29 21:26:58 2006//Tgeant4-09-04-ref-00
+/G4XXXSceneHandler.hh/1.21/Thu Jun 29 21:27:00 2006//Tgeant4-09-04-ref-00
+/G4XXXStored.hh/1.2/Thu Jun 29 21:27:02 2006//Tgeant4-09-04-ref-00
+/G4XXXStoredSceneHandler.hh/1.4/Wed Oct 21 15:28:53 2009//Tgeant4-09-04-ref-00
+/G4XXXStoredViewer.hh/1.2/Thu Jun 29 21:27:17 2006//Tgeant4-09-04-ref-00
+/G4XXXViewer.hh/1.8/Thu Jun 29 21:27:20 2006//Tgeant4-09-04-ref-00
Index: trunk/source/visualization/XXX/include/G4XXX.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXX.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXX.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXX.hh,v 1.5 2006/06/29 21:26:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXFile.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXFile.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXFile.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXFile.hh,v 1.2 2006/06/29 21:26:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXFileSceneHandler.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXFileSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXFileSceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXFileSceneHandler.hh,v 1.4 2009/10/21 15:28:53 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXFileViewer.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXFileViewer.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXFileViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXFileViewer.hh,v 1.3 2006/07/03 16:52:48 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXSG.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXSG.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXSG.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXSG.hh,v 1.2 2006/06/29 21:26:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXSGSceneHandler.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXSGSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXSGSceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXSGSceneHandler.hh,v 1.4 2009/10/21 15:28:53 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXSGViewer.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXSGViewer.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXSGViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXSGViewer.hh,v 1.2 2006/06/29 21:26:58 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXSceneHandler.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXSceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXSceneHandler.hh,v 1.21 2006/06/29 21:27:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXStored.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXStored.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXStored.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXStored.hh,v 1.2 2006/06/29 21:27:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXStoredSceneHandler.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXStoredSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXStoredSceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXStoredSceneHandler.hh,v 1.4 2009/10/21 15:28:53 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXStoredViewer.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXStoredViewer.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXStoredViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXStoredViewer.hh,v 1.2 2006/06/29 21:27:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/G4XXXViewer.hh
===================================================================
--- trunk/source/visualization/XXX/include/G4XXXViewer.hh	(revision 1346)
+++ trunk/source/visualization/XXX/include/G4XXXViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXViewer.hh,v 1.8 2006/06/29 21:27:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/include/tree/CVS/Entries
===================================================================
--- trunk/source/visualization/XXX/include/tree/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/XXX/include/tree/CVS/Entries	(revision 1347)
@@ -1,1 +1,22 @@
+/AUTHORS/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/COPYING/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/Changelog/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/bfs_iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/const_bfs_iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/const_iterator.cc/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/const_iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/const_postorder_iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/const_preorder_iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/const_sibling_iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/iterator.cc/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/postorder_iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/preorder_iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/sibling_iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/tree.cc/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/tree.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/tree_iterator.cc/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/tree_iterator.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/tree_node.h/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
+/tree_test.cc/1.1/Tue Mar 28 17:16:41 2006//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/XXX/src/CVS/Entries
===================================================================
--- trunk/source/visualization/XXX/src/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/XXX/src/CVS/Entries	(revision 1347)
@@ -1,1 +1,13 @@
+/G4XXX.cc/1.6/Thu Jun 29 21:27:22 2006//Tgeant4-09-04-ref-00
+/G4XXXFile.cc/1.2/Thu Jun 29 21:27:24 2006//Tgeant4-09-04-ref-00
+/G4XXXFileSceneHandler.cc/1.5/Mon Jul  3 16:52:49 2006//Tgeant4-09-04-ref-00
+/G4XXXFileViewer.cc/1.3/Mon Jul  3 16:52:49 2006//Tgeant4-09-04-ref-00
+/G4XXXSG.cc/1.2/Thu Jun 29 21:27:33 2006//Tgeant4-09-04-ref-00
+/G4XXXSGSceneHandler.cc/1.6/Sun Nov  5 20:41:36 2006//Tgeant4-09-04-ref-00
+/G4XXXSGViewer.cc/1.5/Wed Oct  6 10:12:03 2010//Tgeant4-09-04-ref-00
+/G4XXXSceneHandler.cc/1.32/Mon Jul  3 16:52:49 2006//Tgeant4-09-04-ref-00
+/G4XXXStored.cc/1.2/Thu Jun 29 21:27:46 2006//Tgeant4-09-04-ref-00
+/G4XXXStoredSceneHandler.cc/1.9/Thu Oct 26 11:30:10 2006//Tgeant4-09-04-ref-00
+/G4XXXStoredViewer.cc/1.6/Wed Oct  6 10:12:03 2010//Tgeant4-09-04-ref-00
+/G4XXXViewer.cc/1.9/Thu Jun 29 21:27:52 2006//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/XXX/src/G4XXX.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXX.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXX.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXX.cc,v 1.6 2006/06/29 21:27:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/src/G4XXXFile.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXFile.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXFile.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXFile.cc,v 1.2 2006/06/29 21:27:24 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/src/G4XXXFileSceneHandler.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXFileSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXFileSceneHandler.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXFileSceneHandler.cc,v 1.5 2006/07/03 16:52:49 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/src/G4XXXFileViewer.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXFileViewer.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXFileViewer.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXFileViewer.cc,v 1.3 2006/07/03 16:52:49 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/src/G4XXXSG.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXSG.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXSG.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXSG.cc,v 1.2 2006/06/29 21:27:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/src/G4XXXSGSceneHandler.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXSGSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXSGSceneHandler.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXSGSceneHandler.cc,v 1.6 2006/11/05 20:41:36 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/src/G4XXXSGViewer.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXSGViewer.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXSGViewer.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXSGViewer.cc,v 1.5 2010/10/06 10:12:03 allison Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/XXX/src/G4XXXSceneHandler.cc
===================================================================
--- trunk/source/visualization/XXX/src/G4XXXSceneHandler.cc	(revision 1346)
+++ trunk/source/visualization/XXX/src/G4XXXSceneHandler.cc	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4XXXSceneHandler.cc,v 1.32 2006/07/03 16:52:49 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
